<?php 
session_start();
include_once '../../conexao/index.php';
date_default_timezone_set('Africa/Maputo');
$data_hora = date("Y-m-d H:i:s");

/*Variaveis do Sistema*/
/*********************************************/
$userID = $_SESSION['idUsuario'];
$userNOME = $_SESSION['nomeUsuario'];
$userCATE = $_SESSION['categoriaUsuario'];
/*********************************************/

$semana = $_POST['semana'];
$status = $_POST['status'];

// var_dump($userID);
if ($semana == NULL) {
	echo "Informe algum valor para abertura!";
}

$sql = "SELECT diaperiodo FROM periodo WHERE diaperiodo = '$status'";
$rs = mysqli_query($db, $sql);
$dados = mysqli_fetch_array($rs);
$abertura = $dados['diaperiodo'];
if (mysqli_num_rows($rs) > 0) {
	echo "<p>O caixa ja se encontra aberto!</p>";
	echo "<p>Status do Caixa: $abertura</p>";
}else{
	$sql = "INSERT INTO periodo(diaperiodo, aberturaperiodo, fechoperiodo, usuario, dataaberturaperiodo, datafechoperiodo) 
	VALUES('$status', '$semana', '$semana', '$userID', '$data_hora', '$data_hora')";
	$rs = mysqli_query($db, $sql);
	if ($rs > 0) {
		echo "<p>Caixa aberto com sucesso</p>";
		echo "<p>Valor em caixa: $semana</p>";
	}else{
		echo "Ocorreu um erro ao abrir o caixa!";
	}	

}